Loading...
Searching...
No Matches
gsm_23_041.h File Reference
`#include <osmocom/core/endian.h>`

Go to the source code of this file.

## Data Structures

struct | gsm23041_msg_param_gsm
struct | gsm23041_etws_primary_gsm
struct | gsm23041_msg_param_umts

## Enumerations

enum | gsm23041_warning_type_value { CBS_ETWS_WARN_TYPE_EARTHQUAKE = 0 , CBS_ETWS_WARN_TYPE_TSUNAMI = 1 , CBS_ETWS_WARN_TYPE_EARTHQUAKE_AND_TSUNAMI = 2 , CBS_ETWS_WARN_TYPE_TEST = 3 , CBS_ETWS_WARN_TYPE_OTHER = 4 }

enum

{
CBS_MSGID_LCS_EOTD_ASSIST = 1000 ,
CBS_MSGID_LCS_DGPS_CORRECTION = 1001 ,
CBS_MSGID_LCS_GPS_EPHEM_CLOCK = 1002 ,
CBS_MSGID_LCS_GPS_ALMANAC_OTHER = 1003 ,
CBS_MSGID_ETWS_EARTHQUAKE = 4352 ,
CBS_MSGID_ETWS_TSUNAMI = 4353 ,
CBS_MSGID_ETWS_EARTHQUAKE_TSUNAMI = 4354 ,
CBS_MSGID_ETWS_TEST = 4355 ,
CBS_MSGID_ETWS_OTHER = 4356 ,
CBS_MSGID_CMAS_PRESIDENTIAL = 4370 ,
CBS_MSGID_CMAS_EXTREME_IMMEDIATE_OBSERVED = 4371 ,
CBS_MSGID_CMAS_EXTREME_IMMEDIATE_LIKELY = 4372 ,
CBS_MSGID_CMAS_EXTREME_EXPECTED_OBSERVED = 4373 ,
CBS_MSGID_CMAS_EXTREME_EXPECTED_LIKELY = 4374 ,
CBS_MSGID_CMAS_SEVERE_IMMEDIATE_OBSERVED = 4375 ,
CBS_MSGID_CMAS_SEVERE_IMMEDIATE_LIKELY = 4376 ,
CBS_MSGID_CMAS_SEVERE_EXPECTED_OBSERVED = 4377 ,
CBS_MSGID_CMAS_SEVERE_EXPECTED_LIKELY = 4378 ,
CBS_MSGID_CMAS_AMBER = 4379 ,
CBS_MSGID_CMAS_MONTHLY_TEST = 4380 ,
CBS_MSGID_CMAS_EXERCISE = 4381 ,
CBS_MSGID_CMAS_OPERATOR_DEFINED = 4382 ,
CBS_MSGID_CMAS_PRESIDENTIAL_ADDL = 4383 ,
CBS_MSGID_CMAS_EXTREME_IMMEDIATE_OBSERVED_ADDL = 4384 ,
CBS_MSGID_CMAS_EXTREME_IMMEDIATE_LIKELY_ADDL = 4385 ,
CBS_MSGID_CMAS_EXTREME_EXPECTED_OBSERVED_ADDL = 4386 ,
CBS_MSGID_CMAS_EXTREME_EXPECTED_LIKELY_ADDL = 4387 ,
CBS_MSGID_CMAS_SEVERE_IMMEDIATE_OBSERVED_ADDL = 4388 ,
CBS_MSGID_CMAS_SEVERE_IMMEDIATE_LIKELY_ADDL = 4389 ,
CBS_MSGID_CMAS_SEVERE_EXPECTED_OBSERVED_ADDL = 4390 ,
CBS_MSGID_CMAS_SEVERE_EXPECTED_LIKELY_ADDL = 4391 ,
CBS_MSGID_CMAS_AMBER_ADDL = 4392 ,
CBS_MSGID_CMAS_MONTHLY_TEST_ADDL = 4393 ,
CBS_MSGID_CMAS_EXERCISE_ADDL = 4394 ,
CBS_MSGID_CMAS_OPERATOR_DEFINED_ADDL = 4395 ,
CBS_MSGID_EU_INFO_LOCAL_LANG = 6400 ,
CBS_MSGID_RESERVED = 65535
}

## Functions

struct gsm23041_msg_param_gsm | __attribute__ ((packed))

## Variables

uint16_t | serial_nr
uint16_t | message_id
uint8_t | dcs
struct { |
} | page_param |
uint8_t | content [0]
enum { ... } | __attribute__
uint16_t | warning_type
uint8_t | warning_sec_info [50]
uint8_t | msg_type

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
CBS_MSGID_LCS_EOTD_ASSIST |
CBS_MSGID_LCS_DGPS_CORRECTION |
CBS_MSGID_LCS_GPS_EPHEM_CLOCK |
CBS_MSGID_LCS_GPS_ALMANAC_OTHER |
CBS_MSGID_ETWS_EARTHQUAKE |
CBS_MSGID_ETWS_TSUNAMI |
CBS_MSGID_ETWS_EARTHQUAKE_TSUNAMI |
CBS_MSGID_ETWS_TEST |
CBS_MSGID_ETWS_OTHER |
CBS_MSGID_CMAS_PRESIDENTIAL |
CBS_MSGID_CMAS_EXTREME_IMMEDIATE_OBSERVED |
CBS_MSGID_CMAS_EXTREME_IMMEDIATE_LIKELY |
CBS_MSGID_CMAS_EXTREME_EXPECTED_OBSERVED |
CBS_MSGID_CMAS_EXTREME_EXPECTED_LIKELY |
CBS_MSGID_CMAS_SEVERE_IMMEDIATE_OBSERVED |
CBS_MSGID_CMAS_SEVERE_IMMEDIATE_LIKELY |
CBS_MSGID_CMAS_SEVERE_EXPECTED_OBSERVED |
CBS_MSGID_CMAS_SEVERE_EXPECTED_LIKELY |
CBS_MSGID_CMAS_AMBER |
CBS_MSGID_CMAS_MONTHLY_TEST |
CBS_MSGID_CMAS_EXERCISE |
CBS_MSGID_CMAS_OPERATOR_DEFINED |
CBS_MSGID_CMAS_PRESIDENTIAL_ADDL |
CBS_MSGID_CMAS_EXTREME_IMMEDIATE_OBSERVED_ADDL |
CBS_MSGID_CMAS_EXTREME_IMMEDIATE_LIKELY_ADDL |
CBS_MSGID_CMAS_EXTREME_EXPECTED_OBSERVED_ADDL |
CBS_MSGID_CMAS_EXTREME_EXPECTED_LIKELY_ADDL |
CBS_MSGID_CMAS_SEVERE_IMMEDIATE_OBSERVED_ADDL |
CBS_MSGID_CMAS_SEVERE_IMMEDIATE_LIKELY_ADDL |
CBS_MSGID_CMAS_SEVERE_EXPECTED_OBSERVED_ADDL |
CBS_MSGID_CMAS_SEVERE_EXPECTED_LIKELY_ADDL |
CBS_MSGID_CMAS_AMBER_ADDL |
CBS_MSGID_CMAS_MONTHLY_TEST_ADDL |
CBS_MSGID_CMAS_EXERCISE_ADDL |
CBS_MSGID_CMAS_OPERATOR_DEFINED_ADDL |
CBS_MSGID_EU_INFO_LOCAL_LANG |
CBS_MSGID_RESERVED |

## gsm23041_warning_type_value

enum gsm23041_warning_type_value

Enumerator
CBS_ETWS_WARN_TYPE_EARTHQUAKE |
CBS_ETWS_WARN_TYPE_TSUNAMI |
CBS_ETWS_WARN_TYPE_EARTHQUAKE_AND_TSUNAMI |
CBS_ETWS_WARN_TYPE_TEST |
CBS_ETWS_WARN_TYPE_OTHER |

## Variable Documentation

## []

enum { ... } __attribute__

## content

uint8_t content

## dcs

uint8_t dcs

## message_id

uint16_t message_id

## msg_type

uint8_t msg_type

## [struct]

struct { ... } page_param

## serial_nr

uint16_t serial_nr

## warning_sec_info

uint8_t warning_sec_info[50]

## warning_type

uint16_t warning_type